Page 3 of 3 FirstFirst 123
Results 21 to 26 of 26
  1. #21
    Join Date
    Jan 2004
    Posts
    65,796
    Blog Entries
    7
    Plugin Contributions
    245

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by iknowalttl View Post
    I'm not getting the upgrade database option upon re-running the install...
    https://docs.zen-cart.com/user/upgra...er_no_upgrade/

    Quote Originally Posted by iknowalttl View Post
    I am still at a loss on how to bring the database info from my 1.3.9h store to my 1.5.7 store

    I currently have the new install under a new directory with it's own new database and all seems to work properly
    Brief recap of the step by step instructions in the upgrade docs https://docs.zen-cart.com/user/upgrading/
    - In the "new" store's /includes/configure.php file there are some DB_XXXXXX settings.
    - The DB_DATABASE must be the NEW database
    - The DB_PREFIX must match whatever was in the "old" store's /includes/configure.php file
    - Then you make a backup of the "old" store's database
    - And import that backup of the "old" database into the "new" database, replacing the tables previously in the "new" database from the temporary new install you did.
    - Then running zc_install on the "new" store will give you the Upgrade Database option.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  2. #22
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by DrByte View Post
    https://docs.zen-cart.com/user/upgra...er_no_upgrade/



    Brief recap of the step by step instructions in the upgrade docs https://docs.zen-cart.com/user/upgrading/
    - In the "new" store's /includes/configure.php file there are some DB_XXXXXX settings.
    - The DB_DATABASE must be the NEW database
    - The DB_PREFIX must match whatever was in the "old" store's /includes/configure.php file
    - Then you make a backup of the "old" store's database
    - And import that backup of the "old" database into the "new" database, replacing the tables previously in the "new" database from the temporary new install you did.
    - Then running zc_install on the "new" store will give you the Upgrade Database option.
    I am pretty sure these are the steps I had taken in the past... I just now went through these steps again to make sure...
    - The DB_DATABASE must be the NEW database... confirmed...
    - The DB_PREFIX must match whatever was in the "old" store's /includes/configure.php file... confirmed...
    old store... define('DB_PREFIX', '');
    new store... define('DB_PREFIX', '');
    - Then you make a backup of the "old" store's database... just now exported fresh backup through cpanel phpMyAdmin as a .sql file...
    - And import that backup of the "old" database into the "new" database, replacing the tables previously in the "new" database from the temporary new install you did... just now imported .sql file through cpanel phpMyAdmin... received following...

    Error
    SQL query:


    --
    -- Database: `apparvuc_printers_zc1`
    --

    -- --------------------------------------------------------

    --
    -- Table structure for table `address_book`
    --

    CREATE TABLE `address_book` (
    `address_book_id` int(11) NOT NULL,
    `customers_id` int(11) NOT NULL DEFAULT '0',
    `entry_gender` char(1) COLLATE latin1_general_ci NOT NULL DEFAULT '',
    `entry_company` varchar(64) COLLATE latin1_general_ci DEFAULT NULL,
    `entry_firstname` varchar(32) COLLATE latin1_general_ci NOT NULL DEFAULT '',
    `entry_lastname` varchar(32) COLLATE latin1_general_ci NOT NULL DEFAULT '',
    `entry_street_address` varchar(64) COLLATE latin1_general_ci NOT NULL DEFAULT '',
    `entry_suburb` varchar(32) COLLATE latin1_general_ci DEFAULT NULL,
    `entry_postcode` varchar(10) COLLATE latin1_general_ci NOT NULL DEFAULT '',
    `entry_city` varchar(32) COLLATE latin1_general_ci NOT NULL DEFAULT '',
    `entry_state` varchar(32) COLLATE latin1_general_ci DEFAULT NULL,
    `entry_country_id` int(11) NOT NULL DEFAULT '0',
    `ent[...]
    MySQL said: Documentation

    #1050 - Table 'address_book' already exists

    but if I look in the file I do see data info for customers...
    here is what I get on running the install...
    Name:  issue.jpg
Views: 26
Size:  38.6 KB

  3. #23
    Join Date
    Jan 2004
    Posts
    65,796
    Blog Entries
    7
    Plugin Contributions
    245

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by iknowalttl View Post
    #1050 - Table 'address_book' already exists
    Redo your export -- in the settings tick the box for "Include DROP TABLES ..." so that it deletes any tables already in the database when later importing it.
    Or just delete all the tables from the "new" database before importing the backup into it.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  4. #24
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by DrByte View Post
    Redo your export -- in the settings tick the box for "Include DROP TABLES ..." so that it deletes any tables already in the database when later importing it.
    Or just delete all the tables from the "new" database before importing the backup into it.
    thank you very much for your help... I was deleting all the tables that were common as I was waiting on a response... got r done... upgrade option now appears... now issue is password... I did go in and change it in the admin area but somehow it is not working... trying to do the sql query to reset and a little confused... where it says "INSERT INTO admin (admin_name, admin_email, admin_pass, admin_profile)" what is admin_profile...

  5. #25
    Join Date
    Jan 2004
    Posts
    65,796
    Blog Entries
    7
    Plugin Contributions
    245

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by iknowalttl View Post
    now issue is password... I did go in and change it in the admin area but somehow it is not working...
    It requires the usual admin password of an administrator in the "old" database (not from the "new" one that you just wiped out by importing the sql)

    Quote Originally Posted by iknowalttl View Post
    trying to do the sql query to reset and a little confused... where it says "INSERT INTO admin (admin_name, admin_email, admin_pass, admin_profile)" what is admin_profile...
    You don't need to alter the query, since your DB_PREFIX is blank.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  6. #26
    Join Date
    Oct 2010
    Posts
    30
    Plugin Contributions
    0

    Default Re: In need of help upgrading to new version

    Quote Originally Posted by DrByte View Post
    It requires the usual admin password of an administrator in the "old" database (not from the "new" one that you just wiped out by importing the sql)


    You don't need to alter the query, since your DB_PREFIX is blank.
    thank you so much again... old user name and password worked just fine... I think I am go to go now... fingers crossed... just need to modify the template for appearance now...

 

 
Page 3 of 3 FirstFirst 123

Similar Threads

  1. v157 E-mail problems since upgrading to new version
    By SCOX5275 in forum Basic Configuration
    Replies: 8
    Last Post: 22 Nov 2020, 02:51 AM
  2. v139h upgrading a new installation of version 1.3.9 to 1.5
    By cshearer in forum Upgrading to 1.5.x
    Replies: 17
    Last Post: 2 May 2012, 10:30 PM
  3. Error when upgrading to new version through Softaculous
    By annav in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 9 Oct 2010, 06:07 PM
  4. upgrading to new version
    By geovino in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 28 Jun 2007, 06:59 PM
  5. upgrading to the new version
    By op913chad in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 8 Dec 2006, 04:50 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR